Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.comp
Class Component

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.comp.ComponentIdentifier
                  |
                  +--quicktime.std.comp.Component

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

Direct Known Subclasses:
  Clock, CompressionDialog, Curve, DataCodecCompressor, DataCodecDecompressor, DataHandler, GraphicsExporter, GraphicsImporter, MediaHandler, MovieController, MovieExporter, MovieImporter, MusicComponent, NoteAllocator, SequenceGrabber, SGChannel, TunePlayer, VideoDigitizer, XMLParser

public class Component
extends ComponentIdentifier
implements quicktime.jdirect.QuickTimeLib

Representation of an open ComponentInstance.
Sub classes define specific ComponentInstance types.

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`Component(ComponentIdentifier comp)` Given a component identifier it opens the specified component.
`Component(int type, int subType)` Opens the specified component.

Method Summary
`int` | `count()` Determines the current number of open connections managed by the Component.

Methods inherited from class quicktime.std.comp.ComponentIdentifier
`find, find, getInfo, toString`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Component

    public Component(ComponentIdentifier comp)
              throws StdQTException

  Given a component identifier it opens the specified component.
  QuickTime::OpenAComponent
Parameters:
  `comp` - the component identifier to open

### Component

    public Component(int type,
                     int subType)
              throws QTException

  Opens the specified component.
  QuickTime::OpenADefaultComponent
Parameters:
  `type` - the component type
  `subType` - the component sub type
Throws:
  `StdQTException` - Possible component allocation error.

Method Detail

### count

    public final int count()

  Determines the current number of open connections managed by the Component.
  QuickTime::CountComponentInstances

  Returns:
    The number of component instances of the specified Component.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD